caloriesCheeseburger = 290
caloriesHourOfRunning = 670

hoursPerburger = caloriesCheeseburger / caloriesHourOfRunning 

### Data sources:
http://www.nutritionix.com/i/mcdonalds/cheeseburger/513fc9e73fe3ffd4030010a7
http://www.health.harvard.edu/diet-and-weight-loss/calories-burned-in-30-minutes-of-leisure-and-routine-activities
###

# cheeseburger slider
slider = new SliderComponent
	width: 600
	x: Align.center
	y: burgersMask.maxY + 30
	min: 0
	max: 10


# when the slider changes value
slider.onValueChange ->
	burgerQuantity = @value
	
	# round the amount of burgers to 1 decimal place
	burgerQuantity = Utils.round this.value, 1
	# burgers: 0 to 10  /  width of the masking layer: 0 to 600 points
	burgersMask.width = Utils.modulate burgerQuantity, [0,10], [0,600], yes
	
	# calculate hours, also rounded to 1 decimal digit
	hoursQuantity = Utils.round (burgerQuantity * hoursPerburger), 1
	# running hours: 0 to 10  /  width of the masking layer: 0 to 600 points
	runnersMask.width = Utils.modulate hoursQuantity, [0,10], [0,600], yes
	
	# ‘burger’ or ‘burgers’?
	burgerS = ""
	if burgerQuantity > 1 or burgerQuantity is 0
		burgerS = "s"
	# ‘hour’ or ‘hours’?
	hourS = ""
	if hoursQuantity > 1 or hoursQuantity is 0
		hourS = "s"
	
	# set text
	text.template =
		b: burgerQuantity
		s1: burgerS
		h: hoursQuantity
		s2: hourS


# set slider to initial value
slider.animateToValue 1
